## GtexSettings GtexSettings — Singleton class containing GSettings objects |

## Functions

GtexSettings * | gtex_settings_get_singleton ()
GSettings * | gtex_settings_peek_editor_settings ()
GSettings * | gtex_settings_peek_latex_settings ()

## Types and Values

struct | GtexSettings

## Object Hierarchy

        GObject
        ╰── GtexSettings

## Includes

    #include <gtex.h>

## Description

Singleton class containing GSettings objects.

See also TeplSettings.

## Functions

### gtex_settings_get_singleton ()

    GtexSettings *
    gtex_settings_get_singleton (void);

#### Returns

the GtexSettings singleton instance.

[transfer none]

### gtex_settings_peek_editor_settings ()

    GSettings *
    gtex_settings_peek_editor_settings (GtexSettings *self);

#### Parameters

self | the GtexSettings instance. |

#### Returns

the GSettings for `"org.gnome.enter_tex.preferences.editor"`.

[transfer none]

### gtex_settings_peek_latex_settings ()

    GSettings *
    gtex_settings_peek_latex_settings (GtexSettings *self);

#### Parameters

self | the GtexSettings instance. |

#### Returns

the GSettings for `"org.gnome.enter_tex.preferences.latex"`.

[transfer none]

## Types and Values

### struct GtexSettings

    struct GtexSettings;